MCP Tools Reference: saasservicemgmt

Tool: get_resource_maintenance

Gets a ResourceMaintenance resource. Required parameter: 'name' (e.g. projects/my-project/locations/us-central1/resourceMaintenances/my-resourcemaintenance).

The following sample demonstrate how to use curl to invoke the get_resource_maintenance MCP tool.

Curl Request
                  
curl --location 'https://saasservicemgmt.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_resource_maintenance",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

The request structure for the GetResourceMaintenance method.

GetResourceMaintenanceRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name of the resource within a service.

Output Schema

Represents a single ResourceMaintenance.

ResourceMaintenance

JSON representation
{
  "name": string,
  "maintenance": string,
  "resource": {
    object (Resource)
  },
  "state": enum (State),
  "maintenanceScheduledStartTime": string,
  "maintenanceScheduledEndTime": string,
  "labels": {
    string: string,
    ...
  },
  "annotations": {
    string: string,
    ...
  },
  "uid": string,
  "etag": string,
  "createTime": string,
  "updateTime": string
}
Fields
name

string

Identifier. The resource maintenance name (full URI of the resource) following the standard naming scheme: "projects/{project}/locations/{location}/resourceMaintenances/{resource_maintenance_id}"

maintenance

string

Required. Maintenance is the name of the corresponding maintenance resource following the standard naming scheme: "projects/{project}/locations/{location}/maintenances/{maintenance_id}"

resource

object (Resource)

Required. Resource is the consumer resource affected by maintenance.

state

enum (State)

Required. State of the resource maintenance.

maintenanceScheduledStartTime

string (Timestamp format)

The time when the maintenance was scheduled to start. The actual start of the maintenance can happen later, with best effort to finish before maintenance_scheduled_end_time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

maintenanceScheduledEndTime

string (Timestamp format)

An estimated (best effort, not guaranteed) end time of the scheduled maintenance.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

labels

map (key: string, value: string)

Optional. The labels on the resource, which can be used for categorization. similar to Kubernetes resource labels.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

annotations

map (key: string, value: string)

Optional. Annotations is an unstructured key-value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

More info: https://kubernetes.io/docs/user-guide/annotations

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

uid

string

Output only. The unique identifier of the resource. UID is unique in the time and space for this resource within the scope of the service. It is typically generated by the server on successful creation of a resource and must not be changed. UID is used to uniquely identify resources with resource name reuses. This should be a UUID4.

etag

string

Output only. An opaque value that uniquely identifies a version or generation of a resource. It can be used to confirm that the client and server agree on the ordering of a resource being written.

createTime

string (Timestamp format)

Output only. The timestamp when the resource was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. The timestamp when the resource was last updated. Any change to the resource made by users must refresh this value. Changes to a resource made by the service should refresh this value.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Resource

JSON representation
{
  "type": string,
  "location": string,
  "resourceName": string,
  "project": string
}
Fields
type

string

Required. Immutable. Type of resource that the maintenance is applicable to. See supported values: https://cloud.google.com/asset-inventory/docs/supported-asset-types#supported_resource_types.

location

string

Required. Immutable. Location of the resource.

resourceName

string

Immutable. The reference to the consumer resource affected by the maintenance (full resource name https://cloud.google.com/iam/docs/full-resource-names).

project

string

Immutable. Project, in a form of ID or number, corresponding to the project under which the resource affected by the maintenance resides.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

AnnotationsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌